Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class UnionInfos

    java.lang.Object
      jet.api.QueryInfo
          jet.api.UnionInfos

    public class UnionInfos

extends QueryInfo

This class represents a packet which provides handy ways to manipulate And-information

Constructor Summary
`UnionInfos()` Constructor.
`UnionInfos(int capacity)` Constructor.

Method Summary
`void` | `addUnionInfo(UnionInfo info)` Add a UnionInfo object.
`UnionInfo` | `getUnionInfo(int index)` return a specific UnionInfo object
`UnionInfo[]` | `getUnionInfos()` return all UnionInfo objects in the array
`boolean` | `insertUnionInfo(UnionInfo info, int index)` insert a UnionInfo object at the specific position

Methods inherited from class jet.api.QueryInfo
`getInfoNumber, indexOf, remove, remove, removeAll`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnionInfos

    public UnionInfos()

  Constructor. construct a query object with the initial UnionInfo array size of 10.

### UnionInfos

    public UnionInfos(int capacity)

  Constructor. construct a query object with specific UnionInfo array size.

  Parameters:
    `capacity` - initial capacity

Method Detail

### addUnionInfo

    public void addUnionInfo(UnionInfo info)

  Add a UnionInfo object.

  Parameters:
    `info` - the UnionInfo object to be added

### insertUnionInfo

    public boolean insertUnionInfo(UnionInfo info,
                                   int index)

  insert a UnionInfo object at the specific position

  Parameters:
    `info` - the object to insert
    `index` - where the object to be inserted
  Returns:
    true if the object inserted successfully,otherwise false

### getUnionInfo

    public UnionInfo getUnionInfo(int index)

  return a specific UnionInfo object

  Parameters:
    `index` - where to find the UnionInfo object,index should be a digit between 0 and length-1
  Returns:
    a UnionInfo object,if index is invalid, return null

### getUnionInfos

    public UnionInfo[] getUnionInfos()

  return all UnionInfo objects in the array

  Returns:
    if there's no object, return an array with length of 0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD